# DataExchange
TKSTEPBase
StepShape

# StepShape_FaceSurface Class Reference

`#include <StepShape_FaceSurface.hxx>`

Inheritance diagram for StepShape_FaceSurface:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_FaceSurface ()
| Returns a FaceSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfFaceBound)&aBounds)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfFaceBound)&aBounds, const Handle(StepGeom_Surface)&aFaceGeometry, const Standard_Boolean aSameSense)
Standard_EXPORT void | SetFaceGeometry (const Handle(StepGeom_Surface)&aFaceGeometry)
Standard_EXPORT Handle_StepGeom_Surface | FaceGeometry () const
Standard_EXPORT void | SetSameSense (const Standard_Boolean aSameSense)
Standard_EXPORT Standard_Boolean | SameSense () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Surface | faceGeometry
Standard_Boolean | sameSense

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_FaceSurface::StepShape_FaceSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Surface StepShape_FaceSurface::FaceGeometry | ( |  | ) | const

Standard_EXPORT const StepShape_FaceSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Face. Reimplemented in StepShape_AdvancedFace.

virtual Standard_EXPORT void StepShape_FaceSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfFaceBound)& | aBounds,
|  | const Handle(StepGeom_Surface)& | aFaceGeometry,
|  | const Standard_Boolean | aSameSense
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_FaceSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfFaceBound)& | aBounds
| ) | `[virtual]`

| Reimplemented from StepShape_Face.

Standard_EXPORT Standard_Boolean StepShape_FaceSurface::SameSense | ( |  | ) | const

Standard_EXPORT void StepShape_FaceSurface::SetFaceGeometry | ( | const Handle(StepGeom_Surface)& | aFaceGeometry | ) |

Standard_EXPORT void StepShape_FaceSurface::SetSameSense | ( | const Standard_Boolean | aSameSense | ) |

## Field Documentation

Handle_StepGeom_Surface StepShape_FaceSurface::faceGeometry `[private]`

Standard_Boolean StepShape_FaceSurface::sameSense `[private]`

The documentation for this class was generated from the following file:

- StepShape_FaceSurface.hxx